#!/usr/bin/env python3
import sys

n = int(sys.argv[1])
q = int(sys.argv[2])
a = int(sys.argv[3])
k = int(sys.argv[4])

import math

print(n, q)
aa = []
for _ in range(n):  
    aa.append(a)
print(*aa)

for _ in range(q):
    print(k)
    k -= 1

